%define name jpilot
%define version 0.98.1
%define release 5mdk

Name:		%{name}
Summary:	palm pilot desktop for Linux
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Communications
URL:		http://jpilot.linuxave.net/
Source:		%{name}-%{version}.tar.bz2
Source1: jpilot-icons.tar.bz2
Requires:	pilot-link
BuildRoot:	%{_tmppath}/%{name}-%{version}
Patch: jpilot-0.98.1-usbinfo.patch.bz2

%description
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and UNIX.  It is similar in functionality to the one that 3com
distributes for a well known rampant legacy operating system.

%package plugin-devel
Summary: library and header file needed for jpilot plugin development
Group: Communications

%description plugin-devel
The library and header file required for plugin development

%prep
%setup -q
%patch -p1

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
%configure
make
#
make jpilot-dump
make libplugin


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/{icons,jpilot}
mkdir -p %{buildroot}%{_libdir}/{menu,jpilot/plugins}
install -m 555 -s jpilot %{buildroot}%{_bindir}/jpilot
install -m 555 -s jpilot-dump %{buildroot}%{_bindir}/jpilot-dump
install -m 644 jpilotrc.blue %{buildroot}%{_datadir}/jpilot/jpilotrc.blue
install -m 644 jpilotrc.default %{buildroot}%{_datadir}/jpilot/jpilotrc.default 
install -m 644 jpilotrc.green %{buildroot}%{_datadir}/jpilot/jpilotrc.green
install -m 644 jpilotrc.purple %{buildroot}%{_datadir}/jpilot/jpilotrc.purple
install -m 644 jpilotrc.steel %{buildroot}%{_datadir}/jpilot/jpilotrc.steel
install -m 644 empty/DatebookDB.pdb %{buildroot}%{_datadir}/jpilot/DatebookDB.pdb
install -m 644 empty/AddressDB.pdb %{buildroot}%{_datadir}/jpilot/AddressDB.pdb
install -m 644 empty/ToDoDB.pdb %{buildroot}%{_datadir}/jpilot/ToDoDB.pdb
install -m 644 empty/MemoDB.pdb %{buildroot}%{_datadir}/jpilot/MemoDB.pdb
install -m 644 empty/MemoDB.pdb %{buildroot}%{_datadir}/jpilot/MemoDB.pdb
#install -m 644 .libs/libpxpense.so.1.0.1 %{buildroot}%{_libdir}/jpilot/plugins/libexpense.so.1.0.1
install -m 655 libplugin.la %{buildroot}%{_libdir}/jpilot/plugins/libplugin.la
install -m 655 libplugin.a %{buildroot}%{_libdir}/jpilot/plugins/libplugin.a
install -m 644 libplugin.h %{buildroot}%{_libdir}/jpilot/plugins/libplugin.h


install -d %buildroot/%{_iconsdir}
tar xvIf %{SOURCE1} -C %buildroot/%{_iconsdir}

cat << EOF > %{buildroot}%{_libdir}/menu/%{name}
?package(jpilot): \
  needs=x11\
  section=Applications/Communications\
  title=J-Pilot\
  icon=jpilot.xpm\
  command=jpilot
EOF


%post
%update_menus
/sbin/ldconfig


%postun 
%clean_menus
/sbin/ldconfig


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc BUGS CHANGELOG COPYING CREDITS INSTALL README TODO
%doc docs/plugin.html docs/manual.html
%{_bindir}/jpilot
%{_bindir}/jpilot-dump
%{_datadir}/jpilot/jpilotrc.blue
%{_datadir}/jpilot/jpilotrc.default
%{_datadir}/jpilot/jpilotrc.green
%{_datadir}/jpilot/jpilotrc.purple
%{_datadir}/jpilot/jpilotrc.steel
%{_datadir}/jpilot/DatebookDB.pdb
%{_datadir}/jpilot/AddressDB.pdb
%{_datadir}/jpilot/ToDoDB.pdb
%{_datadir}/jpilot/MemoDB.pdb
%{_datadir}/icons/*xpm
%{_datadir}/icons/*/*xpm
%{_libdir}/menu/jpilot
#%{_libdir}/jpilot/plugins/libexpense.so
#%{_libdir}/jpilot/plugins/libexpense.so.1
#%{_libdir}/jpilot/plugins/libexpense.so.1.0.1

%files plugin-devel
%defattr(-,root,root)
%{_libdir}/jpilot/plugins/libplugin.la
%{_libdir}/jpilot/plugins/libplugin.a
%{_libdir}/jpilot/plugins/libplugin.h

%changelog
* Thu Sep 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.1-5mdk
- Fix icons (#437).

* Wed Sep 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.1-4mdk
- Add info about usb.

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.98.1-3mdk
- fixed stupid error in changelog

* Fri Aug 11 2000 Vincent Danen <molnarc@mandrakesoft.com> 0.98.1-2mdk
- Added plugin lib for future development
- Added plugindevel package

* Wed Jul 26 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.98.1-1mdk
- initial mandrake build
- remove expense plugin
